package com.jeeplus.modules.sg.overheadline.mapper;

import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.overheadline.entity.JkxlDetailFee;
import com.jeeplus.modules.sg.overheadline.entity.WbsProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface OverheadLineMapper {
    List<JkxlDetailFee> getList(@Param("id") String id,@Param("type") String type);
    JkxlDetailFee getData(@Param("id")String id, @Param("wbsCode")String wbsCode);
    void save(JkxlDetailFee jkxlDetailFee);
    void saveProject(WbsProject project);
    List<JkxlDetailFee> findList(@Param("id") String id,@Param("type")String type);
    List<JkxlDetailFee> getAdjust(String id);
    void updateDate(JkxlDetailFee jkxlDetailFee);
    void delete(String id);
}
